Subject: NEWS from the SOLARIS-2.7 bug?-hunt

From: [email-masked]
Date: Tue, 10 Oct 2000 15:15:51 +0200

Oh well, after andrew morgan changed 'struct comment' to 'struct papd_comment'
in etc/papd/queries.c the same error still occurred:

  ... included from uam_auth.h:11,
                    from queries.c:30:
   /usr/include/pwd.h:45: redefinition of `struct comment'

So, we changed all occurrences of 'struct comment' in

comment.c
comment.h
headers.c
magics.c

... to 'struct papd_comment' and restarted make. Now, no errors from the files
in the papd-folder but:

   Making all in uams
   make[3]: Entering directory `/opt/sources/netatalk/netatalk/etc/uams'
   gcc      -I../../sys/generic -g -O2 -I../../include -I../../sys
-DHAVE_CONFIG_H
   -fPIC -DPIC \
     -I../.. -fomit-frame-pointer -c uams_guest.c ; \
   ld -shared -o uams_guest.so uams_guest.o -lsys -lsocket -lrpcsvc -lresolv
-lnsl
   -lkrb -ldl -lcrypt -lcmd -lauth  -L../../libatalk/
   ld: fatal: option -h and building a dynamic executable are incompatible
   ld: fatal: Flags processing errors

So, my colleague (who is the C-expert) thought of using the linker of gcc using
'export LD=/usr/bin/gcc'.

Running make now produced:

   Making all in timelord
   make[3]: Entering directory `/opt/sources/netatalk/netatalk/contrib/timelord'
   gcc -DHAVE_CONFIG_H -I. -I. -I../..     -I../../sys/generic -g -O2
-I../../inclu
   de -I../../sys -c timelord.c
   In file included from timelord.c:23:
   ../../sys/netatalk/endian.h:35: warning: redefinition of `int32_t'
   /usr/include/sys/int_types.h:69: warning: `int32_t' previously declared here
   timelord.c: In function `main':
   timelord.c:76: storage size of `sv' isn't known
   timelord.c:83: `MAXHOSTNAMELEN' undeclared (first use in this function)
   timelord.c:83: (Each undeclared identifier is reported only once
   timelord.c:83: for each function it appears in.)
   timelord.c:125: `O_RDWR' undeclared (first use in this function)
   timelord.c:126: `TIOCNOTTY' undeclared (first use in this function)
   timelord.c:218: structure has no member named `tm_gmtoff'
   make[3]: *** [timelord.o] Error 1

I think I have seen some comments on 'endian.h' sometime ago, but I cannot find
it anywhere.

Hope somebody knows how to solve this problem...

WDL.
_______________________________________________
Dr. Wulf Dirk Leuschner
Epidauros Biotechnologie AG
Am Neuland 1
D-82347 Bernried
Tel.:    ++49-(0)8158-99 85 53
FAX:    ++49-(0)8158-99 85 48
e-mail:   [email-masked]